libqalculate-0.9.7: BinaryPrefix Class Reference

# BinaryPrefix Class Reference

A binary prefix. More...

`#include <Prefix.h>`

Inheritance diagram for BinaryPrefix:

List of all members.

## Public Member Functions
| BinaryPrefix (int exp2, string long_name, string short_name="", string unicode_name="")
int | exponent (int iexp=1) const
Number | exponent (const Number &nexp) const
void | setExponent (int iexp)
Number | value (const Number &nexp) const
Number | value (int iexp) const
Number | value () const
int | type () const
## Protected Attributes
int | exp

## Detailed Description

A binary prefix.

A Binary prefix has an integer exponent which with a base of two constitutes the value of the prefix (value=2^exponent).

## Constructor & Destructor Documentation

BinaryPrefix::BinaryPrefix | ( | int | exp2,
|  | string | long_name,
|  | string | short_name = `""`,
|  | string | unicode_name = `""` |
| ) |  |  |

Create a binary prefix.

Parameters:

  | exp2 | Exponent for the value.
  | long_name | Long name.
  | short_name | Short name.
  | unicode_name | Unicode name.

## Member Function Documentation

int BinaryPrefix::exponent | ( | int | iexp = `1` | ) | const

Returns the exponent.

Parameters:

  | iexp | Exponent of the unit.

Returns:
  The exponent of the prefix.

Number BinaryPrefix::exponent | ( | const Number & | nexp | ) | const

Returns the exponent.

Parameters:

  | nexp | Exponent of the unit.

Returns:
  The exponent of the prefix.

void BinaryPrefix::setExponent | ( | int | iexp | ) |

Sets the exponent of the prefix.

Parameters:

  | iexp | New exponent for the prefix.

Number BinaryPrefix::value | ( | const Number & | nexp | ) | const`[virtual]`

Returns the value of the prefix.

Parameters:

  | nexp | The power of the prefixed unit.

Returns:
  The value of the prefix.

Implements Prefix.

Number BinaryPrefix::value | ( | int | iexp | ) | const`[virtual]`

Returns the value of the prefix.

Parameters:

  | iexp | The power of the prefixed unit.

Returns:
  The value of the prefix.

Implements Prefix.

Number BinaryPrefix::value | ( |  | ) | const`[virtual]`

Returns the value of the prefix.

Returns:
  The value of the prefix.

Implements Prefix.

int BinaryPrefix::type | ( |  | ) | const`[virtual]`

Returns type, subclass, of the prefix. This can be PREFIX_DECIMAL for prefixes of the class DecimalPrefix, PREFIX_BINARY for BinaryPrefix, or PREFIX_NUMBER for NumberPrefix.

Returns:
  The type of the prefix.

Implements Prefix.

The documentation for this class was generated from the following file:

- libqalculate/Prefix.h